Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps
Class GetMapServiceInvokerForNL

    java.lang.Object
      java.lang.Thread
          org.deegree.ogcwebservices.wmps.GetMapServiceInvokerForNL

All Implemented Interfaces:
  Runnable

     class GetMapServiceInvokerForNL

extends Thread

Inner class for accessing the data of one named layer and creating `DisplayElement`s and a `Thrme` from it. The class extends `Thread` and implements the run method, so that a parallel data accessing from several layers is possible.

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`GetMapServiceInvokerForNL(DefaultGetMapHandler handler, Layer lay, AbstractDataSource source, UserStyle style, int index)` Creates a new ServiceInvokerForNL object.

Method Summary
`void` | `run()` overrides the run-method of the parent class `Thread` for enabling a multi-threaded access to the data.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetMapServiceInvokerForNL

    GetMapServiceInvokerForNL(DefaultGetMapHandler handler,
                              Layer lay,
                              AbstractDataSource source,
                              UserStyle style,
                              int index)

  Creates a new ServiceInvokerForNL object.

  Parameters:
    `handler` -
    `lay` -
    `source` -
    `style` -
    `index` - index of the requested layer

Method Detail

### run

    public void run()

  overrides the run-method of the parent class `Thread` for enabling a multi-threaded access to the data.

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org